services:
  owncast:
    image: owncast/owncast:latest
    container_name: owncast
    restart: unless-stopped
    volumes:
      - ./data:/app/data
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.owncast.rule=Host(`stream.sportakrobatik-dobersberg.com`)"
      - "traefik.http.routers.owncast.entrypoints=websecure"
      - "traefik.http.routers.owncast.tls=true"
      - "traefik.http.routers.owncast.tls.certresolver=cloudflare"
      - "traefik.http.services.owncast.loadbalancer.server.port=8080"
    ports:
      - "1935:1935"
    networks:
      - traefik-network

networks:
  traefik-network:
    external: true